Browse Source

Stefan Fiedler:


			
			
				rocklinux
			
			
		
Stefan Fiedler 19 years ago
parent
commit
d20293f733
7 changed files with 259 additions and 94 deletions
  1. +11
    -5
      package/stf/avview/avview.conf
  2. +2
    -2
      package/stf/avview/avview.desc
  3. +141
    -40
      package/stf/avview/configure.patch
  4. +32
    -0
      package/stf/avview/ffmpeg/compile.patch
  5. +36
    -0
      package/stf/avview/ffmpeg/ffmpeg.conf
  6. +37
    -0
      package/stf/avview/ffmpeg/gcc34.patch
  7. +0
    -47
      package/stf/avview/gcc34.patch

+ 11
- 5
package/stf/avview/avview.conf

@ -20,20 +20,26 @@
#
# --- ROCK-COPYRIGHT-NOTE-END ---
# Do the same configuration as the ffmpeg package...
. $base/package/rene/ffmpeg/ffmpeg.conf
# we have to use our own configuration and patches for ffmpeg because
# avview doesn't build with recent ffmpeg versions
# and include the same patches
patchfiles="$base/package/*/ffmpeg/*.patch"
. $confdir/ffmpeg/ffmpeg.conf
patchfiles="$confdir/ffmpeg/*.patch"
build_avview () {
# package avview needs the compiled sources
var_append confopt " " "--with-ffmpeg=`dirs -l`"
cd ..
tar $taropt $archdir/avview-${ver}.tar.bz2
cd avview-$ver
patchfiles="$base/package/*/avview/*.patch"
apply_patchfiles
eval $configprefix bash ./configure $confopt
eval $configprefix ./configure $confopt
eval make
eval make install
}

+ 2
- 2
package/stf/avview/avview.desc

@ -36,11 +36,11 @@
[L] GPL
[S] Stable
[V] 0.80.3
[V] 0.80.7
[O] ffmpeg_ver=0.4.9-pre1
#[V] 2004-01-07
[P] X -?---5---9 237.300
[D] 2478774124 ffmpeg-0.4.9-pre1.tar.gz http://dl.sourceforge.net/sourceforge/ffmpeg/
[D] 824434359 avview-0.80.3.tar.gz http://dl.sourceforge.net/sourceforge/gatos/
[D] 2887874136 avview-0.80.7.tar.gz http://dl.sourceforge.net/sourceforge/gatos/
#[D] X avview-cvs-2004-01-07.tar.bz2 cvs://pserver:anonymous@cvs.sourceforge.net:/cvsroot/gatos::avview/!2004-01-07/

+ 141
- 40
package/stf/avview/configure.patch

@ -1,54 +1,116 @@
# --- ROCK-COPYRIGHT-NOTE-BEGIN ---
#
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
#
# ROCK Linux: rock-src/package/stf/avview/configure.patch
# ROCK Linux is Copyright (C) 1998 - 2006 Clifford Wolf
#
# This patch file is dual-licensed. It is available under the license the
# patched project is licensed under, as long as it is an OpenSource license
# as defined at http://www.opensource.org/ (e.g. BSD, X11) or under the terms
# of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# --- ROCK-COPYRIGHT-NOTE-END ---
Adds check for faac library, on which ffmpeg-0.4.9-pre1 may depend;
recreating configure with autoconf fails because
S2C_{PATH,LOAD}_{TCL,TK}CONFIG are not defined.
allows libavcodec versions greater than 0.4.8, and tcl/tk versions
greater than 8.4 (e.g. 8.4.9).
--- ./configure.in.orig 2004-01-05 21:58:52.000000000 +0100
+++ ./configure.in 2004-08-28 23:05:28.000000000 +0200
@@ -152,7 +152,7 @@
#error "FFMPEG libraries mismatch"
#endif
- #if LIBAVCODEC_VERSION_INT != 0x000408
+ #if LIBAVCODEC_VERSION_INT < 0x000408
#error "AVview now requires ffmpeg 0.4.8"
#endif
@@ -203,7 +203,7 @@
AC_MSG_ERROR([can not find X11])
diff -dur avview-0.80.7/configure src.avview.1137267026.31409.4073770048/avview-0.80.7/configure
--- avview-0.80.7/configure 2005-11-12 14:26:14.000000000 +0100
+++ src.avview.1137267026.31409.4073770048/avview-0.80.7/configure 2006-01-14 21:19:51.000000000 +0100
@@ -6989,7 +6989,7 @@
fi
-if ! test "$TCL_VERSION $TK_VERSION" = "8.4 8.4" ; then
+if ! test "${TCL_VERSION:0:3} ${TK_VERSION:0:3}" = "8.4 8.4" ; then
AC_MSG_ERROR([AVview requires Tcl/Tk 8.4.x])
-echo "The libraries mp3lame, ogg, vorbis and vorbisenc might be required by ffmpeg"
+echo "The libraries faac, mp3lame, ogg, vorbis and vorbisenc might be required by ffmpeg"
echo "$as_me:$LINENO: checking for lame_encode_buffer in -lmp3lame" >&5
echo $ECHO_N "checking for lame_encode_buffer in -lmp3lame... $ECHO_C" >&6
@@ -7283,6 +7283,80 @@
fi
--- ./configure 2004-08-28 23:30:05.000000000 +0200
+++ ./configure.patch 2004-08-28 23:31:50.000000000 +0200
@@ -7605,7 +7605,7 @@
#error "FFMPEG libraries mismatch"
#endif
+echo "$as_me:$LINENO: checking for faacEncOpen in -lfaac" >&5
+echo $ECHO_N "checking for faacEncOpen in -lfaac... $ECHO_C" >&6
+if test "${ac_cv_lib_faac_faacEncOpen+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lfaac $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char faacEncOpen ();
+int
+main ()
+{
+faacEncOpen ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_lib_faac_faacEncOpen=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_faac_faacEncOpen=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_faac_faacEncOpen" >&5
+echo "${ECHO_T}$ac_cv_lib_faac_faacEncOpen" >&6
+if test $ac_cv_lib_faac_faacEncOpen = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBFAAC 1
+_ACEOF
+
+ LIBS="-lfaac $LIBS"
+
+fi
+
+
#
#
# Default values
@@ -8310,11 +8384,7 @@
#include "avcodec.h"
#include "avformat.h"
- #if LIBAVCODEC_VERSION_INT != LIBAVFORMAT_VERSION_INT
- #error "FFMPEG libraries mismatch"
- #endif
-
- #if LIBAVCODEC_VERSION_INT != 0x000408
+ #if LIBAVCODEC_VERSION_INT < 0x000408
#error "AVview now requires ffmpeg 0.4.8"
#endif
@@ -9555,7 +9555,7 @@
@@ -10393,7 +10463,7 @@
{ (exit 1); exit 1; }; }
fi
@ -57,3 +119,42 @@
{ { echo "$as_me:$LINENO: error: AVview requires Tcl/Tk 8.4.x" >&5
echo "$as_me: error: AVview requires Tcl/Tk 8.4.x" >&2;}
{ (exit 1); exit 1; }; }
diff -dur avview-0.80.7/configure.in src.avview.1137267026.31409.4073770048/avview-0.80.7/configure.in
--- avview-0.80.7/configure.in 2005-11-12 14:25:56.000000000 +0100
+++ src.avview.1137267026.31409.4073770048/avview-0.80.7/configure.in 2006-01-14 21:04:03.000000000 +0100
@@ -48,11 +48,12 @@
AC_CHECK_LIB([asound], [snd_card_get_name])
AC_CHECK_LIB([lirc_client], [lirc_init])
-echo "The libraries mp3lame, ogg, vorbis and vorbisenc might be required by ffmpeg"
+echo "The libraries faac, mp3lame, ogg, vorbis and vorbisenc might be required by ffmpeg"
AC_CHECK_LIB([mp3lame], [lame_encode_buffer])
AC_CHECK_LIB([ogg], [oggpack_write])
AC_CHECK_LIB([vorbis], [vorbis_book_init_encode])
AC_CHECK_LIB([vorbisenc], [vorbis_encode_init])
+AC_CHECK_LIB([faac], [faacEncOpen])
#
#
@@ -165,11 +166,7 @@
#include "avcodec.h"
#include "avformat.h"
- #if LIBAVCODEC_VERSION_INT != LIBAVFORMAT_VERSION_INT
- #error "FFMPEG libraries mismatch"
- #endif
-
- #if LIBAVCODEC_VERSION_INT != 0x000408
+ #if LIBAVCODEC_VERSION_INT < 0x000408
#error "AVview now requires ffmpeg 0.4.8"
#endif
@@ -220,7 +217,7 @@
AC_MSG_ERROR([can not find X11])
fi
-if ! test "$TCL_VERSION $TK_VERSION" = "8.4 8.4" ; then
+if ! test "${TCL_VERSION:0:3} ${TK_VERSION:0:3}" = "8.4 8.4" ; then
AC_MSG_ERROR([AVview requires Tcl/Tk 8.4.x])
fi

+ 32
- 0
package/stf/avview/ffmpeg/compile.patch

@ -0,0 +1,32 @@
# --- ROCK-COPYRIGHT-NOTE-BEGIN ---
#
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
#
# ROCK Linux: rock-src/package/rene/ffmpeg/compile.patch
# ROCK Linux is Copyright (C) 1998 - 2005 Clifford Wolf
#
# This patch file is dual-licensed. It is available under the license the
# patched project is licensed under, as long as it is an OpenSource license
# as defined at http://www.opensource.org/ (e.g. BSD, X11) or under the terms
# of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# --- ROCK-COPYRIGHT-NOTE-END ---
diff -ruN ffmpeg-0.4.9-pre1/Makefile ffmpeg-0.4.9-pre1-new/Makefile
--- ffmpeg-0.4.9-pre1/Makefile 2004-07-08 13:02:04.000000000 +0200
+++ ffmpeg-0.4.9-pre1-new/Makefile 2004-07-26 12:55:08.261050798 +0200
@@ -14,6 +14,9 @@
LDFLAGS+=-p
endif
+# ReneR: well the maintainer could also test his ... without imlib2 support
+EXTRALIBS+=-L/usr/X11/lib -lX11
+
MANPAGE=$(SRC_PATH)/doc/ffmpeg.1
PROG=ffmpeg$(EXESUF)
PROGTEST=output_example$(EXESUF)

+ 36
- 0
package/stf/avview/ffmpeg/ffmpeg.conf

@ -0,0 +1,36 @@
# --- ROCK-COPYRIGHT-NOTE-BEGIN ---
#
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
#
# ROCK Linux: rock-src/package/rene/ffmpeg/ffmpeg.conf
# ROCK Linux is Copyright (C) 1998 - 2005 Clifford Wolf
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version. A copy of the GNU General Public
# License can be found at Documentation/COPYING.
#
# Many people helped and are helping developing ROCK Linux. Please
# have a look at http://www.rocklinux.org/ and the Documentation/TEAM
# file for details.
#
# --- ROCK-COPYRIGHT-NOTE-END ---
# fill options the configure does not attempt to detect ...
pkginstalled lame && var_append extraconfopt " " "--enable-mp3lame"
pkginstalled ogg-vorbis && var_append extraconfopt " " "--enable-libogg --enable-vorbis"
pkginstalled libtheora && var_append extraconfopt " " "--enable-theora"
pkginstalled faad2 && var_append extraconfopt " " "--enable-faad --enable-faadbin"
pkginstalled faac && var_append extraconfopt " " "--enable-faac"
pkginstalled gsm && var_append extraconfopt " " "--enable-libgsm"
pkginstalled xvid && var_append extraconfopt " " "--enable-xvid"
pkginstalled x264 && var_append extraconfopt " " "--enable-x264"
pkginstalled libdca && var_append extraconfopt " " "--enable-dts"
pkginstalled a52dec && var_append extraconfopt " " "--enable-a52"
var_append confopt " " "--enable-shared --enable-pp --enable-gpl --enable-pthreads"

+ 37
- 0
package/stf/avview/ffmpeg/gcc34.patch

@ -0,0 +1,37 @@
# --- ROCK-COPYRIGHT-NOTE-BEGIN ---
#
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
#
# ROCK Linux: rock-src/package/rene/ffmpeg/gcc34.patch
# ROCK Linux is Copyright (C) 1998 - 2005 Clifford Wolf
#
# This patch file is dual-licensed. It is available under the license the
# patched project is licensed under, as long as it is an OpenSource license
# as defined at http://www.opensource.org/ (e.g. BSD, X11) or under the terms
# of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# --- ROCK-COPYRIGHT-NOTE-END ---
diff -ruN ffmpeg-0.4.9-pre1/libavcodec/liba52/resample_mmx.c ffmpeg-0.4.9-pre1-patch/libavcodec/liba52/resample_mmx.c
--- ffmpeg-0.4.9-pre1/libavcodec/liba52/resample_mmx.c 2003-04-16 22:03:07.000000000 +0200
+++ ffmpeg-0.4.9-pre1-patch/libavcodec/liba52/resample_mmx.c 2004-07-21 08:35:46.066975912 +0200
@@ -7,10 +7,10 @@
and it would mean (C / MMX2 / MMX / 3DNOW) versions
*/
-static uint64_t __attribute__((aligned(8))) magicF2W= 0x43c0000043c00000LL;
-static uint64_t __attribute__((aligned(8))) wm1010= 0xFFFF0000FFFF0000LL;
-static uint64_t __attribute__((aligned(8))) wm0101= 0x0000FFFF0000FFFFLL;
-static uint64_t __attribute__((aligned(8))) wm1100= 0xFFFFFFFF00000000LL;
+static uint64_t magicF2W attribute_used __attribute__((aligned(8))) = 0x43c0000043c00000LL;
+static uint64_t wm1010 attribute_used __attribute__((aligned(8))) = 0xFFFF0000FFFF0000LL;
+static uint64_t wm0101 attribute_used __attribute__((aligned(8))) = 0x0000FFFF0000FFFFLL;
+static uint64_t wm1100 attribute_used __attribute__((aligned(8))) = 0xFFFFFFFF00000000LL;
static int a52_resample_MONO_to_5_MMX(float * _f, int16_t * s16){
int32_t * f = (int32_t *) _f;

+ 0
- 47
package/stf/avview/gcc34.patch

@ -1,47 +0,0 @@
# --- ROCK-COPYRIGHT-NOTE-BEGIN ---
#
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the ROCK-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
#
# ROCK Linux: rock-src/package/stf/avview/gcc34.patch
# ROCK Linux is Copyright (C) 1998 - 2006 Clifford Wolf
#
# This patch file is dual-licensed. It is available under the license the
# patched project is licensed under, as long as it is an OpenSource license
# as defined at http://www.opensource.org/ (e.g. BSD, X11) or under the terms
# of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# --- ROCK-COPYRIGHT-NOTE-END ---
diff -dur avview-0.80.3/alsa.c avview-0.80.3-patch/alsa.c
--- avview-0.80.3/alsa.c 2004-01-03 18:17:58.000000000 +0000
+++ avview-0.80.3-patch/alsa.c 2004-07-12 23:32:34.000000000 +0000
@@ -297,7 +297,6 @@
}
Tcl_ListObjAppendElement(interp,list,list2);
break;
- default:
}
Tcl_ListObjAppendElement(interp, ans, list);
j++;
Nur in avview-0.80.3-patch: alsa.c~.
diff -dur avview-0.80.3/vbi.c avview-0.80.3-patch/vbi.c
--- avview-0.80.3/vbi.c 2004-01-03 18:18:03.000000000 +0000
+++ avview-0.80.3-patch/vbi.c 2004-07-15 23:37:56.000000000 +0000
@@ -98,10 +98,10 @@
Tcl_VarEval(data->interp, data->event_command, " aspect {}", NULL);
break;
- default:
+
}
break;
- default:
+
}
}

Loading…
Cancel
Save